Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class GroovySourceAST

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.codehaus.groovy.antlr.GroovySourceAST

All Implemented Interfaces:
  java.lang.Comparable, SourceInfo

    public class GroovySourceAST
    extends antlr.CommonAST

We have an AST subclass so we can track source information. Very odd that ANTLR doesn't do this by default.

Authors:
  Mike Spille
  Jeremy Rayner

Constructor Summary
`GroovySourceAST()`
`GroovySourceAST(Token t)`

Method Summary
`GroovySourceAST` | `childAt(int position)`
`GroovySourceAST` | `childOfType(int type)`
`java.util.List` | `childrenOfType(int type)`
`int` | `compareTo(java.lang.Object object)`
`int` | `getColumn()`
`int` | `getColumnLast()`
`int` | `getLine()`
`int` | `getLineLast()`
`java.lang.String` | `getSnippet()`
`void` | `initialize(antlr.collections.AST ast)`
`void` | `initialize(Token t)`
`void` | `setColumn(int column)`
`void` | `setColumnLast(int colLast)`
`void` | `setLast(Token last)`
`void` | `setLine(int line)`
`void` | `setLineLast(int lineLast)`
`void` | `setSnippet(java.lang.String snippet)`

Methods inherited from class antlr.CommonAST
antlr.CommonAST#getText(), antlr.CommonAST#initialize(int, java.lang.String), antlr.CommonAST#initialize(antlr.collections.AST), antlr.CommonAST#initialize(antlr.Token), antlr.CommonAST#getType(), antlr.CommonAST#setText(java.lang.String), antlr.CommonAST#setType(int), antlr.CommonAST#findAll(antlr.collections.AST), antlr.CommonAST#getFirstChild(), antlr.CommonAST#getNextSibling(), antlr.CommonAST#getColumn(), antlr.CommonAST#getLine(), antlr.CommonAST#toStringList(), antlr.CommonAST#addChild(antlr.collections.AST), antlr.CommonAST#getTokenNames(), antlr.CommonAST#setFirstChild(antlr.collections.AST), antlr.CommonAST#setNextSibling(antlr.collections.AST), antlr.CommonAST#getNumberOfChildren(), antlr.CommonAST#equalsList(antlr.collections.AST), antlr.CommonAST#equalsListPartial(antlr.collections.AST), antlr.CommonAST#equalsTree(antlr.collections.AST), antlr.CommonAST#equalsTreePartial(antlr.collections.AST), antlr.CommonAST#findAllPartial(antlr.collections.AST), antlr.CommonAST#removeChildren(), antlr.CommonAST#setVerboseStringConversion(boolean, [Ljava.lang.String;), antlr.CommonAST#toStringTree(), antlr.CommonAST#xmlSerializeNode(java.io.Writer), antlr.CommonAST#xmlSerializeRootOpen(java.io.Writer), antlr.CommonAST#xmlSerializeRootClose(java.io.Writer), antlr.CommonAST#xmlSerialize(java.io.Writer), antlr.CommonAST#equals(antlr.collections.AST), antlr.CommonAST#toString(), antlr.CommonAST#decode(java.lang.String), antlr.CommonAST#encode(java.lang.String), antlr.CommonAST#wait(long), antlr.CommonAST#wait(long, int), antlr.CommonAST#wait(), antlr.CommonAST#equals(java.lang.Object), antlr.CommonAST#hashCode(), antlr.CommonAST#getClass(), antlr.CommonAST#notify(), antlr.CommonAST#notifyAll()

Methods inherited from class antlr.BaseAST
antlr.BaseAST#getText(), antlr.BaseAST#findAll(antlr.collections.AST), antlr.BaseAST#getFirstChild(), antlr.BaseAST#getNextSibling(), antlr.BaseAST#getColumn(), antlr.BaseAST#getLine(), antlr.BaseAST#toStringList(), antlr.BaseAST#addChild(antlr.collections.AST), antlr.BaseAST#getTokenNames(), antlr.BaseAST#setFirstChild(antlr.collections.AST), antlr.BaseAST#setNextSibling(antlr.collections.AST), antlr.BaseAST#getNumberOfChildren(), antlr.BaseAST#equalsList(antlr.collections.AST), antlr.BaseAST#equalsListPartial(antlr.collections.AST), antlr.BaseAST#equalsTree(antlr.collections.AST), antlr.BaseAST#equalsTreePartial(antlr.collections.AST), antlr.BaseAST#findAllPartial(antlr.collections.AST), antlr.BaseAST#removeChildren(), antlr.BaseAST#setVerboseStringConversion(boolean, [Ljava.lang.String;), antlr.BaseAST#toStringTree(), antlr.BaseAST#xmlSerializeNode(java.io.Writer), antlr.BaseAST#xmlSerializeRootOpen(java.io.Writer), antlr.BaseAST#xmlSerializeRootClose(java.io.Writer), antlr.BaseAST#xmlSerialize(java.io.Writer), antlr.BaseAST#equals(antlr.collections.AST), antlr.BaseAST#toString(), antlr.BaseAST#decode(java.lang.String), antlr.BaseAST#encode(java.lang.String), antlr.BaseAST#initialize(int, java.lang.String), antlr.BaseAST#initialize(antlr.collections.AST), antlr.BaseAST#initialize(antlr.Token), antlr.BaseAST#getType(), antlr.BaseAST#setText(java.lang.String), antlr.BaseAST#setType(int), antlr.BaseAST#wait(long), antlr.BaseAST#wait(long, int), antlr.BaseAST#wait(), antlr.BaseAST#equals(java.lang.Object), antlr.BaseAST#hashCode(), antlr.BaseAST#getClass(), antlr.BaseAST#notify(), antlr.BaseAST#notifyAll()

Constructor Detail

### GroovySourceAST

    public GroovySourceAST()

### GroovySourceAST

    public GroovySourceAST(Token t)

Method Detail

### childAt

    public GroovySourceAST childAt(int position)

### childOfType

    public GroovySourceAST childOfType(int type)

### childrenOfType

    public java.util.List childrenOfType(int type)

### compareTo

    public int compareTo(java.lang.Object object)

### getColumn

    public int getColumn()

### getColumnLast

    public int getColumnLast()

### getLine

    public int getLine()

### getLineLast

    public int getLineLast()

### getSnippet

    public java.lang.String getSnippet()

### initialize

    public void initialize(antlr.collections.AST ast)

### initialize

    public void initialize(Token t)

### setColumn

    public void setColumn(int column)

### setColumnLast

    public void setColumnLast(int colLast)

### setLast

    public void setLast(Token last)

### setLine

    public void setLine(int line)

### setLineLast

    public void setLineLast(int lineLast)

### setSnippet

    public void setSnippet(java.lang.String snippet)

Groovy Documentation